The Laravel Cloud API and CLI are here. Build pipelines, manage environments, and hand off to AI agents. View the docs →
cURL
curl --request GET \ --url https://cloud.laravel.com/api/deployments/{deployment}/logs \ --header 'Authorization: Bearer <token>'
{ "data": { "build": { "available": true, "steps": [ { "step": "<string>", "status": "<string>", "description": "<string>", "output": "<string>", "duration_ms": 123, "time": "<string>" } ] }, "deploy": { "available": true, "steps": [ { "step": "<string>", "status": "<string>", "description": "<string>", "output": "<string>", "duration_ms": 123, "time": "<string>" } ] } }, "meta": { "deployment_status": "<string>" } }
Get the build and deploy logs for a specific deployment.
The Bearer Token generated on the Cloud UI.
The deployment identifier
Show child attributes
Was this page helpful?